Skip to main content
PUT
Update a Specific Conversation by ID

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

conversation_id
string
required

ID of the conversation

Body

application/json
source
string
required

Source from where the conversation originated. This can be device id, phone number, etc.

Required string length: 1 - 512
Example:

"device12345"

sourceType
enum<string>
required

Type of the conversation source

Available options:
BROWSER,
TWILIO,
PLIVO
agentId
string
required

AI agent which handled the conversation

Required string length: 1 - 512
Example:

"aia.1719914136.zl2fxvXB"

timestampStart
string<date-time>
required

Start time of the conversation

transcriptText
DialogLine · object[] | null

URL to the full transcript of the conversation

Required array length: 1 - 512 elements
Example:

"http://example.com/transcript"

transcriptSummary
string | null

Summary of the conversation

Required string length: 1 - 2048
Example:

"The conversation was about resolving billing issues."

transcriptRecordingUrl
string | null

URL to the recording of the conversation

Required string length: 1 - 512
Example:

"http://example.com/recording"

timestampEnd
string<date-time> | null

End time of the conversation

conversationAnalytics
ConversationAnalyticsModel · object | null

Analytics of the conversation

adminComments
Comment · object[] | null

Comments from the admin on the conversation

Response

Conversation updated successfully

Any conversation happening between the end user and assistant is stored in this table

status
string
required
id
string
orgId
string
prospectId
string | null
source
string
sourceType
string
aiAgentId
string
transcriptText
DialogLine · object[] | null
transcriptSummary
string | null
transcriptRecordingUrl
string | null
timestampStart
string<date-time>
timestampEnd
string<date-time> | null
conversationAnalytics
ConversationAnalyticsModel · object | null

Analytics of the conversation

createdBy
string
createdAt
string<date-time>
updatedBy
string
updatedAt
string<date-time>